#!/bin/bash
# csubloop.sh: Initialiser une variable à la sortie d'une boucle.

variable1=`for i in 1 2 3 4 5
do
  echo -n "$i"                 #  La commande 'echo' est essentielle
done`                          #+ à la substitution de commande.

echo "variable1 = $variable1"  # variable1 = 12345


i=0
variable2=`while [ "$i" -lt 10 ]
do
  echo -n "$i"                 # A nouveau le nécessaire 'echo'.
  let "i += 1"                 # Incrémentation.
done`

echo "variable2 = $variable2"  # variable2 = 0123456789

#  Démontre qu'il est possible d'intégrer une boucle à l'intérieur de la
#+ déclaration d'une variable.

exit 0
